function initializeGoogleMaps(map_param, loc_params) {
    var latlng = new google.maps.LatLng(map_param.lat, map_param.lng);
    var myOptions = {
        zoom: map_param.zoom,
        center: latlng,
        mapTypeId: google.maps.MapTypeId.ROADMAP,
        sensor : true
    };
    var map = new google.maps.Map(document.getElementById(map_param.id), myOptions);

    var markers = new Array();
    var infowindows = new Array();
    for (var i = 0, j = loc_params.length; i < j; i++) {
        var loc_param = loc_params[i];
        var loc_latlng = new google.maps.LatLng(loc_param.lat, loc_param.lng);
        markers[i] = new google.maps.Marker({
            position: loc_latlng, 
            map: map, 
            title: loc_param.location_name
        });
        markers[i].number = i;

        var _content = '<span style="font-size : 150%;">';
        if (loc_param.location_url) {
            _content += '<a href="' + loc_param.location_url + '">' + loc_param.location_name + '</a>';
        }
        else {
            _content += loc_param.location_name;
        }
        _content += '</span><br />';
        _content += 'この場所に関する記事は<a href="' + loc_param.post_url + '">こちら</a>です。';
        infowindows[i] = new google.maps.InfoWindow({
            content: _content,
            size: new google.maps.Size(250,50)
        });
    }

    for (var i = 0, j = loc_params.length; i < j; i++) {
        markers[i].infowindows = infowindows;
        google.maps.event.addListener(markers[i], 'click', function() {
            for (j = 0, k = this.infowindows.length; j < k; j++) {
                if (j == this.number) {
                    this.infowindows[j].open(map, this);
                }
                else {
                    this.infowindows[j].close();
                }
            }
        });
    }
}

function showGoogleMaps2(map_param, loc_params) {
    google.maps.event.addDomListener(window, 'load', function() { initializeGoogleMaps(map_param, loc_params) });
}
