<?php
	// 集計期間を得る
	$to = time();
	$from = $to - 86400 * 90;
?>
<li><h2>最近90日間でコメントが多くついた投稿ベスト10</h2>
<p>(集計期間：<?php echo date('Y/m/d H:i:s', $from) ?> - <?php echo date('Y/m/d H:i:s', $to) ?>)</p>
<?php
	// 現在から90日前の日時をSQL用に変形する
	$from_sql = date('Y-m-d H:i:s', $from);
	// SQL文を作る
	$sql = <<< HERE
SELECT p.* , c.recent_count
FROM $wpdb->posts p, (
	SELECT comment_post_ID, count(*) AS recent_count
	FROM $wpdb->comments
	WHERE comment_date >= '$from_sql'
	AND comment_approved = 1
	GROUP BY comment_post_ID
) c
WHERE p.ID = c.comment_post_ID
AND p.post_status = 'publish'
ORDER BY c.recent_count DESC
LIMIT 10
HERE;
// SQLを実行する
$posts = $wpdb->get_results($sql);
// コメントがついた投稿があるときのみ、投稿のリストを出力する
if ($posts) : ?>
	<ul>
	<?php foreach ($posts as $post) : setup_postdata($post); ?>
		<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>(<?php echo $post->recent_count; ?>)</li>
	<?php endforeach; ?>
	</ul>
<?php else : ?>
	<p>この期間にコメントがついた投稿はありません。</p>
<?php endif; ?>
</li>
