<?php
/*
Plugin Name: Hello, User
Plugin URI: http://www.h-fj.com/blog/wpplgdoc/
Description: This plugin shows logined user to sidebar
Version: 1.0
Author: Hajime Fujimoto
Author URI: http://www.h-fj.com/blog/
*/

class HelloUserTextDomain {
	var $domain = 'hellouser';
	var $loaded = false;

	function load() {
		if ($this->loaded) {
			return;
		}
		$locale  = get_locale();
		$mofile  = dirname(__FILE__);
		$mofile .= "/{$this->domain}-{$locale}.mo";
		load_textdomain($this->domain, $mofile);
		$this->loaded = true;
	}
}
$hello_user_td = new HelloUserTextDomain;

function the_hello_user() {
	// ログインしているときだけ処理する
	if (is_user_logged_in()) {
		// 翻訳用辞書を読み込む
		global $hello_user_td;
		$hello_user_td->load();
		// ログイン中のユーザーの情報を得る
		$user = wp_get_current_user();
		// 「User currently logging in」のメッセージを翻訳して出力
		echo '<li><h2>' . __('User currently logging in', $hello_user_td->domain) . "</h2>\n";
		// 「Hello, ○○」のメッセージを翻訳して出力
		$str = __('Hello, %s', $hello_user_td->domain);
		echo '<p>' . sprintf($str , $user->display_name) . "</p>\n";
		echo "</li>\n";
	}
}
?>
