<?php
/*
Plugin Name: Simple Table
Plugin URI: http://www.h-fj.com/blog/wpplgdoc/
Description: tableタグを出力するショートコードを追加します。
Version: 1.0
Author: 藤本　壱
Author URI: http://www.h-fj.com/blog/
*/

function simple_table_func($atts, $content = null) {
    // 属性を取り出す
    extract(shortcode_atts(array(
        'class' => '',
        'border' => 0,
        'header' => 0,
    ), $atts));
    // ショートコードの入れ子に対応する
    $content = do_shortcode($content);
    // テキストがある時だけ処理をする
    if (isset($content)) {
        // テキストを「|」で区切って行に分ける
        $values = explode('|', $content);
        $count = count($values);
        // 各行を「,」で区切って値に分ける
        for ($i = 0; $i < $count; $i++) {
            $values[$i] = explode(',', $values[$i]);
        }
        // class／border属性の準備
        $class = ($class) ? " class=\"${class}\"" : '';
        $border = ($border) ? " border=\"1\"" : '';
        // 先頭のtableタグを生成
        $html = "<table${border}${class}>\n";
        // 各行の生成
        for ($i = 0; $i < $count; $i++) {
            // header="1"の属性が指定されていて、
            // かつ最初の行の場合は、thタグを生成する
            // それ以外はtdタグを生成する
            $tag = ($i == 0 && $header == 1) ? 'th' : 'td';
            // 行の先頭のtrタグを生成
            $html .= "<tr>\n";
            // 行のそれぞれの値を生成
            for ($j = 0; $j < count($values[$j]); $j++) {
                $html .= "<${tag}>" . $values[$i][$j] . "</${tag}>";
            }
            // 行の最後の</tr>タグを生成
            $html .= "</tr>\n";
        }
        // 表の最後の</table>タグを生成
        $html .= "</table>\n";
        // 結果を返す
        return $html;
    }
    else {
        return '';
    }
}

// ショートコードを登録する
add_shortcode('simple_table', 'simple_table_func');
?>
